# PSF-LoginServer - master - net.psforever.types.Vector3
PSF - LoginServer - master - net.psforever.types.Vector3
Keywords: PSF LoginServer master net.psforever.types.Vector3

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

c

net.psforever.types

# Vector3 

###
Companion object Vector3

#### final case class Vector3(x: Float, y: Float, z: Float) extends Product with Serializable

Source
  Vector3.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Vector3
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Vector3(x: Float, y: Float, z: Float)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def *(scalar: Float): Vector3

   Operator for vector scaling, treating `Vector3` objects as actual mathematical vectors.

   Operator for vector scaling, treating `Vector3` objects as actual mathematical vectors. The application of this overload is "vector * scalar" exclusively. "scalar * vector" is invalid.

   scalar

     the value to multiply this vector

   returns

     a new `Vector3` object

4.  def +(vec: Vector3): Vector3

   Operator for vector addition, treating `Vector3` objects as actual mathematical vectors.

   Operator for vector addition, treating `Vector3` objects as actual mathematical vectors. The application of this definition is "vector1 + vector2."

   vec

     the other `Vector3` object

   returns

     a new `Vector3` object with the summed values

5.  def -(vec: Vector3): Vector3

   Operator for vector subtraction, treating `Vector3` objects as actual mathematical vectors.

   Operator for vector subtraction, treating `Vector3` objects as actual mathematical vectors. The application of this definition is "vector1 - vector2."

   vec

     the other `Vector3` object

   returns

     a new `Vector3` object with the difference values

6.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
7.  def Rx(ang: Float): Vector3

   Perform the x-axis rotation of this `Vector3` element where the angle of rotation is assumed in degrees.

   Perform the x-axis rotation of this `Vector3` element where the angle of rotation is assumed in degrees. For chaining rotations.

   ang

     a rotation angle

   returns

     the rotated vector

   See also

     `Vector3.Rx`

8.  def Ry(ang: Float): Vector3

   Perform the y-axis rotation of this `Vector3` element where the angle of rotation is assumed in degrees.

   Perform the y-axis rotation of this `Vector3` element where the angle of rotation is assumed in degrees. For chaining rotations.

   ang

     a rotation angle

   returns

     the rotated vector

   See also

     `Vector3.Ry`

9.  def Rz(ang: Float): Vector3

   Perform the z-axis rotation of this `Vector3` element where the angle of rotation is assumed in degrees.

   Perform the z-axis rotation of this `Vector3` element where the angle of rotation is assumed in degrees. For chaining rotations.

   ang

     a rotation angle

   returns

     the rotated vector

   See also

     `Vector3.Rz`

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def productElementNames: Iterator[String]
    Definition Classes
      Product
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
24.  val x: Float
25.  def xy: Vector3

    Operator for returning the ground-planar coordinates and ignoring the perpendicular distance from the world floor.

    Operator for returning the ground-planar coordinates and ignoring the perpendicular distance from the world floor. The application of this definition is "vector.xy" or "vector xy."

    returns

      a new `Vector3` object with only two of the components of the original

26.  val y: Float
27.  val z: Float

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped